Bug 484495 - perl-bioperl-run and perl-bioperl have file conflicts in rawhide
perl-bioperl-run and perl-bioperl have file conflicts in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-bioperl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
: 484867 484868 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 08:24 EST by Bruno Wolff III
Modified: 2009-03-23 15:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 15:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-02-07 08:24:09 EST
Description of problem:
[root@bruno bruno]# yum install perl-bioperl perl-bioperl-run
Loaded plugins: allowdowngrade, dellsysidplugin, dellsysidplugin2, keys, list-
              : data, priorities, protect-packages, protectbase, refresh-
              : packagekit, upgrade-helper, verify, versionlock
0 packages excluded due to repository protections
Reading version lock configuration
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package perl-bioperl.noarch 0:1.6.0-1.fc11 set to be updated
--> Processing Dependency: perl(Bio::ASN1::EntrezGene) for package: perl-bioperl
---> Package perl-bioperl-run.noarch 0:1.5.9-0.1.1.fc11 set to be updated
--> Running transaction check
---> Package perl-Bio-ASN1-EntrezGene.noarch 0:1.091-6.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                      Arch       Version              Repository   Size
================================================================================
Installing:
 perl-bioperl                 noarch     1.6.0-1.fc11         rawhide     6.0 M
 perl-bioperl-run             noarch     1.5.9-0.1.1.fc11     rawhide     691 k
Installing for dependencies:
 perl-Bio-ASN1-EntrezGene     noarch     1.091-6.fc9          rawhide      41 k

Transaction Summary
================================================================================
Install      3 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 6.7 M
Is this ok [y/N]: y
Downloading Packages:
--------------------------------------------------------------------------------
Total                                            29 MB/s | 6.7 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/lib/perl5/vendor_perl/5.10.0/Bio/ConfigData.pm conflicts between attempted installs of perl-bioperl-1.6.0-1.fc11.noarch and perl-bioperl-run-1.5.9-0.1.1.fc11.noarch
  file /usr/share/man/man3/Bio::ConfigData.3pm.gz conflicts between attempted installs of perl-bioperl-1.6.0-1.fc11.noarch and perl-bioperl-run-1.5.9-0.1.1.fc11.noarch

Error Summary
-------------

[root@bruno bruno]# 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alex Lancaster 2009-02-08 02:37:52 EST
This appears to be an inadvertant duplication of code in the two packages introduced upstream.  I have reported the error here:

http://lists.open-bio.org/pipermail/bioperl-l/2009-February/029213.html

Once I know which package ConfigData should live in, I'll remove it from the other one.
Comment 2 Alex Lancaster 2009-02-10 08:38:37 EST
*** Bug 484868 has been marked as a duplicate of this bug. ***
Comment 3 Alex Lancaster 2009-02-10 08:39:15 EST
*** Bug 484867 has been marked as a duplicate of this bug. ***
Comment 4 Alex Lancaster 2009-02-10 08:40:55 EST
Upstream is working on fixing this (which is related to an auto-generated ConfigData file in Perl): 

http://lists.open-bio.org/pipermail/bioperl-l/2009-February/029222.html

and should have fixes out soon.
Comment 5 Alex Lancaster 2009-02-11 16:52:41 EST
Should be fixed by 1.5.9 RC2:

http://koji.fedoraproject.org/koji/buildinfo?buildID=82403

Leaving open until the file conflicts check is passed.
Comment 6 Alex Lancaster 2009-03-23 15:33:12 EDT
I assume that the file conflicts no longer exists in rawhide as there has been no additional report on this bug.  Feel free to re-open if file conflicts re-occurs.

Note You need to log in before you can comment on or make changes to this bug.